import{select} from 'd3';

const svg = select('svg');



const cx = 350;
const cy = 150;
const myRadius = [100,200];

const data = [
  {"radius":20, "color":"black","cx":40},
  {"radius":40, "color":"green","cx":80},
  {"radius":60, "color":"blue","cx":120},
  {"radius":80, "color":"yellow","cx":140},
  {"radius":100, "color":"orange","cx":200},
  {"radius":120, "color":"purple","cx":240},
  {"radius":140, "color":"#42f4e5","cx":280},
  {"radius":160, "color":"green","cx":320},
  {"radius":180, "color":"#f1f441","cx":360},
  {"radius":200, "color":"red","cx":400},
];

const svgG = svg.append('g')
  .attr('transform', `translate(${0},${10})`)
  .attr('transform', `scale()`);

svgG.selectAll('circle')
  .data(data.reverse())
  .enter()
  .append('circle')
     .attr('r', d=>{return d.radius;})
     .attr('cx', d=>{return d.cx;})
     .attr('cy',cy+100)
     .attr('fill',d=>{return d.color;})
     .attr('stroke','black')
     .attr('stroke-width','0.1em')




